%define version 0.13.0

Summary: An interactive tool for creating a firewall.
Name: mason
Version: %{version}
Release: 2
Copyright: GPL
Group: Applications/Internet
Source: http://www.pobox.com/~wstearns/mason/mason-%{version}.tar.gz
URL: http://www.pobox.com/~wstearns/mason/index.html
Vendor: William Stearns
Packager: William Stearns <wstearns@pobox.com>
BuildRoot: /var/tmp/mason-root
Buildarch: noarch

%description
Mason is an interactive tool that creates a firewall using ipfwadm or
ipchains. Mason is designed to support firewall creation by any
network administrator who is fairly comfortable with Linux. It takes
care of the low-level work necessary to create the firewall rules and
it can also be used to add rules to an existing firewall.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/doc/mason-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/var/lib/mason
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Quickstart index.html mason.TODO mason.lsm mason.txt overview protocols.txt
%config	/etc/masonrc
/etc/rc.d/init.d/firewall
/usr/bin/mason
/usr/bin/mason-gui-text
/usr/man/man1/mason.1
/usr/man/man1/mason-gui-text.1
%dir /var/lib/mason
/var/lib/mason/baserules.sample
/var/lib/mason/masonlib
/var/lib/mason/moreservices
/var/lib/mason/nmap-services

%pre
if [ -f /etc/masonrc ]; then
	rm -f /etc/masonrc.oldversion
	cp -pf /etc/masonrc /etc/masonrc.oldversion
fi

%post
if [ ! -f /var/lib/mason/baserules ]; then
	cp -p /var/lib/mason/baserules.sample /var/lib/mason/baserules
	chown root.root /var/lib/mason/baserules
	chmod 700 /var/lib/mason/baserules
fi

if [ ! -f /var/lib/mason/newrules ]; then
	touch /var/lib/mason/newrules
	chown root.root /var/lib/mason/newrules
	chmod 700 /var/lib/mason/newrules
fi

if [ -f /etc/masonrc.oldversion ]; then
	cat /etc/masonrc.oldversion | grep -v '^#' | grep -v '^$' >>/etc/masonrc
	rm -f /etc/masonrc.oldversion
	echo "NOTE - your old settings have been appended to the end of the " >>/etc/masonrc.README
	echo "new /etc/masonrc." >>/etc/masonrc.README
fi

%changelog
* Fri Aug 6 1999 Tim Powers <timp@redhat.com>
- grabbed orig src.rpm from http://users.dhp.com/~whisper/mason/
- added Buildarch: noarch
- changed group
- moved buildroot to /var/tmp/mason-root
- added defattr to %files section and cleaned up all the %attr lines
- rebuilt for Powertools
